/*
    Copyright (C) 1999 Paul Davis 

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    $Id: ardour.h,v 1.14 2003/02/13 03:12:36 trutkin Exp $
*/

#ifndef __ardour_ardour_h__
#define __ardour_ardour_h__

#include <limits.h>

#include <pbd/error.h>
#include <pbd/lockmonitor.h>
#include <pbd/failed_constructor.h>

#include <ardour/configuration.h>
#include <ardour/types.h>

using namespace PBD;

namespace MIDI {
	class MachineControl;
	class Port;
}

namespace ARDOUR {

	class AudioEngine;

	static const jack_nframes_t max_frames = JACK_MAX_FRAMES;

	int init (AudioEngine&, MIDI::Port **, MIDI::Port **mtc_port);
	int cleanup ();

	const layer_t max_layer = UCHAR_MAX;

	id_t new_id();
};

/* this is just a define so that I can easily
   find every place we emit a SigC++ signal
   for logic tracking.
*/

#define EMIT_SIGNAL


#endif /* __ardour_ardour_h__ */

