/*
    Copyright (C) 1999 Paul Davis 
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

*/

#ifndef __ardour_audio_library_h__
#define __ardour_audio_library_h__

#include <list>
#include <string>

using std::list;
using std::string;

namespace ARDOUR {

class AudioLibrary 
{
  public:
	AudioLibrary ();
	virtual ~AudioLibrary ();

	// add_group returns the URI of the created group
	string add_group (string group);
	list<string>* get_groups (string parent_uri = "top");
	void set_group_parent (string group_uri, string parent_uri = "top");

	string add_member (string member);
	list<string>* get_members (string parent_uri = "top");
	void set_member_parent (string member_uri, string parent_uri = "top");

	void add_field (string field);
	list<string>* get_fields ();

	string get_field (string uri, string field);
	void set_field (string uri, string field, string literal);

  private:
	void save_changes ();

	string*  src;
	unsigned int group_id;
};

extern AudioLibrary* Library;

} // ARDOUR namespace

#endif // __ardour_audio_library_h__

