#ifndef __ardour_export_h__
#define __ardour_export_h__

#include <map>
#include <vector>
#include <string>

#include <sndfile.h>

#include <ardour/ardour.h>
#include <ardour/dither.h>

using std::map;
using std::vector;
using std::string;

namespace ARDOUR 
{
	class AudioTrack;

	typedef map<unsigned long, vector<AudioTrack *> > AudioExportTrackMap;
	
	struct AudioExportSpecification : public SF_INFO {
	    string              path;
	    unsigned long       channels;
	    AudioExportTrackMap track_map;
	    jack_nframes_t      start_frame;
	    jack_nframes_t      end_frame;
	    jack_nframes_t      sample_rate;
	    int                 src_quality;
	    DitherType          dither_type;

	    float progress;  /* shared between UI thread and export thread */
	    bool  stop;      /* UI sets this */
	    bool  running;   /* export thread sets to false when exiting */
	};
};

#endif /* __ardour_export_h__ */
